#ifndef __TC_THREAD_H__
#define __TC_THREAD_H__
#include "tc_system.h"


typedef struct tc_thread
{
    pthread_t thread_id;
    pthread_attr_t attr;
    struct sched_param param;
    void* (*entry)(void *argv);
    void *self;
}tc_thread_t;

void tc_thread_init(tc_thread_t* thread, void* (*entry)(void*), void* argv);

void tc_thread_exit(tc_thread_t* thread);


#endif//__TC_THREAD_H__
